prr(1)

NAME
prr - Mailing list style code reviews for GitHub

SYNOPSIS
prr [--config] [-h|--help] [-V|--version] <subcommands>

DESCRIPTION
prr is a tool that brings mailing list style code reviews to Github PRs. This means offline reviews and inline comments, more or less.

To that end, prr introduces a new workflow for reviewing PRs:
  1. Download the PR into a "review file" on your filesystem
  2. Mark up the review file using your favorite text editor
  3. Submit the review at your convenience

For full documentation, please visit https://doc.dxuuu.xyz/prr/.

OPTIONS

--config=CONFIG
    Path to config file

-h, --help
    Print help (see a summary with '-h')

-V, --version
    Print version

SUBCOMMANDS

prr-get(1)
    Get a pull request and begin a review

prr-edit(1)
    Open an existing review in $EDITOR

prr-submit(1)
    Submit a review

prr-apply(1)
    Apply a pull request to the working directory

prr-status(1)
    Print a status summary of all known reviews

prr-remove(1)
    Remove a review

VERSION
v0.18.0

AUTHORS
Daniel Xu <dxu@apache.org>